using AlfaPrentice.Data;
using AlfaPrentice.Models;
using AlfaPrentice.Repositorys.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace AlfaPrentice.Repositorys.implementaties
{
    public class SollicitatieRepository : ISollicitatieRepository
    {
        AlfaPrenticeContext db;
        public SollicitatieRepository(AlfaPrenticeContext db)
        {
            this.db = db;
        }
        //get list of sollicitaties
        public List<Sollicitatie> GetSollicitaties()
        {
            return db.Sollicitatie.ToList();
        }

        //get sollicitatie by Student_ID
        public Sollicitatie GetSollicitatie(int Student_ID)
        {
            return db.Sollicitatie.Where(S => S.Student_ID == Student_ID).FirstOrDefault();
        }

        //Add complete sollicitatie
        public Sollicitatie AddSollicitatie(Sollicitatie sollicitatie)
        {
            db.Sollicitatie.Add(sollicitatie);
            db.SaveChanges();

            return sollicitatie;
        }
    }
}
